Open CI setup pull request
Propose the keyless Veriom workflow as a draft pull request; a person merges it.
POST
Propose the keyless Veriom workflow as a draft pull request; a person merges it.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id*Repository IdFormat
uuidSuccessful Response
application/json- response
created*CreatedFalse when an open setup pull request already existed.
draft?DraftAlways a draft: a person merges it.
Default
truenumber*Numberurl*Urlcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/ci-setup-pull-request'Example Response
{ "created": true, "draft": true, "number": 0, "url": "string"}